import { ReportStoreService } from './reportStoreService.js';
import { ReportDataStore } from '../data/reportDataStore.js';
import { ReportStoreConfig } from '../types/ReportStore.js';
import { defaultFilterValue } from '../utils/Personalisation/types.d.js';
import { FiltersType } from '../components/_filters/filtersTypeEnum.js';
import { ServiceFeatureConfig } from '../types/DprConfig.js';

declare class DefaultFilterValuesService extends ReportStoreService {
    enabled: boolean;
    constructor(reportDataStore: ReportDataStore, serviceFeatureConfig: ServiceFeatureConfig);
    init(userConfig: ReportStoreConfig, userId: string): Promise<void>;
    save(userId: string, reportId: string, id: string, values: defaultFilterValue[]): Promise<void>;
    get(userId: string, reportId: string, id: string, filtersType: FiltersType): Promise<defaultFilterValue[] | undefined>;
    hasDefaults(userId: string, reportId: string, id: string, type?: FiltersType): Promise<boolean>;
    private getIndex;
    delete(userId: string, reportId: string, id: string, type: FiltersType): Promise<void>;
}

export { DefaultFilterValuesService, DefaultFilterValuesService as default };
